org.apache.sling.testing.email.impl

## Class SmtpServerWrapper

- java.lang.Object
- - org.apache.sling.testing.email.impl.SmtpServerWrapper

    public class SmtpServerWrapper
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `SmtpServerWrapper.Config`

### Constructor Summary

Constructors
Constructor and Description
`SmtpServerWrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate(SmtpServerWrapper.Config cfg)`
`void` `clearMessages()`
`void` `deactivate()`
`int` `getEffectiveBindPort()`
`List<javax.mail.internet.MimeMessage>` `getMessages()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SmtpServerWrapper

    public SmtpServerWrapper()

### Method Detail

#### activate

    public void activate(SmtpServerWrapper.Config cfg)
                  throws ReflectiveOperationException

Throws:
  `ReflectiveOperationException`

#### deactivate

    public void deactivate()

#### getEffectiveBindPort

    public int getEffectiveBindPort()

#### clearMessages

    public void clearMessages()

#### getMessages

    public List<javax.mail.internet.MimeMessage> getMessages()